// Update
struct Message;
/**
 * Update the game state
 * \param elapsed time is in 1/1000 of a second.
 */
void update(long elapsed);
void updateFacing(struct Character *character);
struct Message *insertMessage(const char *text,struct Tile *tile,unsigned long bgColor,long duration);
